Bug 229242 - java/icedtea-web: broken after remove of libxul
Summary: java/icedtea-web: broken after remove of libxul
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-23 01:33 UTC by Walter Schwarzenfeld
Modified: 2018-07-07 12:36 UTC (History)
4 users (show)

See Also:


Attachments
icedtead-web.diff (64.71 KB, patch)
2018-06-23 06:49 UTC, Tobias Kortkamp
no flags Details | Diff
icedtead-web.diff (64.73 KB, patch)
2018-06-23 06:57 UTC, Tobias Kortkamp
no flags Details | Diff
icedtead-web.diff v3 (2.64 KB, patch)
2018-06-23 11:23 UTC, Tobias Kortkamp
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Walter Schwarzenfeld freebsd_triage 2018-06-23 01:33:35 UTC
After remove of libxul:
checking for MOZILLA... no
checking for MOZILLA... no
configure: error: Package requirements (mozilla-plugin) were not met:

Package 'mozilla-plugin', required by 'virtual:world', not found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables MOZILLA_CFLAGS
and MOZILLA_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
===>  Script "configure" failed unexpectedly.

A try with  make MOZILLA_LIBS=-L/usr/local/lib/libxul MOZILLA_CFLAGS=-I//usr/local/include/libxul ended expected with:

'npapi.h' file not found
or 
npruntime.h file not found

It is complete broken. I think it could be marked as broken.
Comment 1 Tobias Kortkamp freebsd_committer 2018-06-23 06:49:00 UTC
Created attachment 194528 [details]
icedtead-web.diff

Can you test this patch?
Comment 2 Tobias Kortkamp freebsd_committer 2018-06-23 06:57:16 UTC
Created attachment 194529 [details]
icedtead-web.diff
Comment 3 Tobias Kortkamp freebsd_committer 2018-06-23 11:23:17 UTC
Created attachment 194533 [details]
icedtead-web.diff v3
Comment 4 Chad Jacob Milios 2018-06-23 11:28:54 UTC
Am i doing this wrong? (from v2 patch)

root@jack:/usr/ports/java/icedtea-web # svn revert -R .
Reverted 'pkg-plist'
Reverted 'Makefile'
Reverted 'files/npapi.h'
Reverted 'files/npfunctions.h'
Reverted 'files/npruntime.h'
Reverted 'files/nptypes.h'
root@jack:/usr/ports/java/icedtea-web # svn status
?       files/npapi.h
?       files/npfunctions.h
?       files/npruntime.h
?       files/nptypes.h
root@jack:/usr/ports/java/icedtea-web # rm files/npapi.h files/npfunctions.h files/npruntime.h files/nptypes.h
root@jack:/usr/ports/java/icedtea-web # svn status
root@jack:/usr/ports/java/icedtea-web # fetch 'https://bz-attachments.freebsd.org/attachment.cgi?id=194533'
attachment.cgi?id=194533                      100% of 2703  B   46 MBps 00m00s
root@jack:/usr/ports/java/icedtea-web # mv attachment.cgi\?id=194533 ../iceT.diff
root@jack:/usr/ports/java/icedtea-web # svn patch ../iceT.diff
C         Makefile
>         applied hunk @@ -43,9 +43,11 @@ with offset -1
>         applied hunk @@ -62,6 +64,18 @@ with offset -1
>         rejected hunk @@ -12,7 +13,6 @@
U         distinfo
U         pkg-plist
Summary of conflicts:
  Text conflicts: 1
Comment 5 Tobias Kortkamp freebsd_committer 2018-06-23 11:32:23 UTC
(In reply to Chad Jacob Milios from comment #4)
My best guess is that you forgot to svn up first.  The revision the patch is based is at the top of the file.
Comment 6 Walter Schwarzenfeld freebsd_triage 2018-06-23 12:48:56 UTC
(In reply to Tobias Kortkamp from comment #3)
Thank you. This is working.
Comment 7 Chad Jacob Milios 2018-06-23 12:54:04 UTC
yup, that was it, i assumed nothing changed but 'twas marked broken in tree since your v2 patch and you'd pulled that down for v3.

new patch seems to build, package and install great both with default options and with all options enabled

thanks so much!
Comment 8 John Hein 2018-07-05 20:59:14 UTC
What is the source of the headers referenced in this patch?  Are they maintained?

Nitpick: for an unversioned dist file like this (npapi-headers.tar.gz), can it live in a versioned DIST_SUBDIR directory?  Similar to devel/jenkins or other ports.

I suggest not making PLUGIN default on.  It's just the way the world is moving - away from the browser plugin.  icedtea-web is still useful with javaws, of course.

At the very least, we should apply the part of this patch that passes --disable-plugin at configure time (if PLUGIN is off).  This will help fix the port after BROKEN was recently added unconditionally.
Comment 9 John Hein 2018-07-05 21:01:06 UTC
(In reply to John Hein from comment #8)
--disable-plugin should probably have been added to the args for configure when PLUGIN was removed (20180622).
Comment 10 commit-hook freebsd_committer 2018-07-07 11:15:50 UTC
A commit references this bug:

Author: tobik
Date: Sat Jul  7 11:15:44 UTC 2018
New revision: 474073
URL: https://svnweb.freebsd.org/changeset/ports/474073

Log:
  Attempt to unbreak java/icedtea-web

  - Bring back the PLUGIN option.  The build needs the 4 NPAPI headers.
    Extract them from libxul-45.9.0_12 to a separate distfile and
    point the build to them.

  PR:		229242
  Approved by:	java (maintainer timeout, 2 weeks)

Changes:
  head/java/icedtea-web/Makefile
  head/java/icedtea-web/distinfo
  head/java/icedtea-web/pkg-plist
Comment 11 commit-hook freebsd_committer 2018-07-07 12:36:05 UTC
A commit references this bug:

Author: tobik
Date: Sat Jul  7 12:35:33 UTC 2018
New revision: 474076
URL: https://svnweb.freebsd.org/changeset/ports/474076

Log:
  Give the npapi-headers distfile a slightly better filename

  PR:		229242

Changes:
  head/java/icedtea-web/Makefile
  head/java/icedtea-web/distinfo
  head/www/gecko-mediaplayer/Makefile
  head/www/gecko-mediaplayer/distinfo